Subject: Re: bug#24169: 25.1.50; Line numbers disappear when horizontally scrolled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Aug 2016 22:13:41 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 6 Aug 2016 14:50:06 -0400
> Cc: ivan <[email-masked]>, [email-masked]
> 
> On Sat, Aug 6, 2016 at 2:09 PM, Eli Zaretskii <[email-masked]> wrote:
> > Am I missing something?
> 
> Nope, it was me who was missing something. I thought the problem was
> scrolling away from the character the overlay covered, but now I see
> it's about scrolling away from the character the overlay displays.

The linum-mode overlay has a before-string property, whose string has
a display property that displays in the margin.  So the before-string
itself is not displayed, but it must be a before-string, to avoid
affecting the display of buffer text.  The position where the overlay
is set must be visible for this to work.